Print | Rate this content

HP LaserJet Enterprise M600 Printer Series - Accessory Compatibility

The accessories for the LaserJet Enterprise M600 series printers are backward compatible to the P4014, P4015, and P4515 printers as indicated in the chart below.

NOTE: The P4010/4510 printer accessories are NOT forward compatible with the LJ Enterprise M600 series printers. This is due to the older BUS used to communicate to the accessories.
Compatibility Table
Accessory
LaserJet Enterprise M600 Series
LaserJet P4010/4510 Series
CE998A 500 Sheet Input Feeder
X
X
CE398A 1500 High Capacity Input Tray
X
X
CB527A Customer Media Cassette
X
X
CF062A Duplexer
X
X
CF063A Printer Stand
X
X
CE997A Multi Bin Mailbox
X
X
CE399A Envelope Feeder*
X
X
CE404A Stacker
X
X
CE405A Stapler Stacker
X
X
CB518A 500 Sheet Feeder
X
CB523A 1500 High Capacity Tray
X
CB524A Envelope Feeder
X
CB519A Duplexer
X
CB520A 5 Bin Multi Bin Mailbox
X
CB521A Stacker
X
CB522A Stapler Stacker
X

The accessories that are highlighted in bold (Multi Bin Mailbox, Stapler/Stacker, and Stacker):

  • If new out of the box, these will work on either devices M600 or the P4014, P4015, P4515 printers.

  • If the accessory is first installed on a M600 printer then the M600 FutureSmart firmware is uploaded to the accessory when the printer is powered on. Then when it is installed on the P4014, P4015, or P4515 you will get a Corrupt Firmware error on the control panel alternating with a Ready message. The firmware will need to be upgraded for the accessory to function.

  • If the accessory is first installed onto the P4014, P4015, or P4515 printers and then installed onto a M600 series printer the firmware is automatically upgraded when the printer is powered on with the accessory installed.

NOTE: The envelope feeder firmware cannot be upgraded on the P4014, P4015, and P4515 printers. If the firmware is upgraded on the P4010/4510 printers with the M600 envelope feeder installed, the printer will post the error 49.23B3 and then after a power cycle resend firmware. Firmware will need to be reflashed with the envelope feeder removed.

*The CE399A is also supported on the M4555 MFP. The firmware can be updated while the envelope feeder is installed and the envelope feeder firmware will be updated.

Provide feedback

Please rate the information on this page to help us improve our content. Thank you!